using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class WeaponUIScript : MonoBehaviour
{
    public Player p;
    private Text text;

    // Use this for initialization
    void Start()
    {
        text = GetComponent<Text>();
    }

    // Update is called once per frame
    void Update()
    {
        switch (p.weapons[p.currentWeapon])
        {
            case 0:
                text.text = "Pistol";
                break;
            case 1:
                text.text = "Assault Rifle";
                break;
            case 2:
                text.text = "Sniper Rifle";
                break;
            case 3:
                text.text = "Shotgun";
                break;
            default: break;
        }
    }
}
